CATMAN(1)

NAME
catman - preformat man pages

SYNOPSIS
catman [-f | -force] [-h | -help] [-p | -print] [-r | -remove] [-v | -verbose] [directories...]

DESCRIPTION
Catman format man pages to ASCII. It's like typing ‘man program’ for all man pages in directories. Directories is a list of man directories or subdirectories separated by spaces or colons. Use /usr/share/man if no directories defined.

OPTIONS

-f, -force
    Force overwriting old cat pages. Normally only those pages will be formatted which are not up to date. This option is a waste of time, CPU and RAM.

-h, -help
    Print options and exit.

-p, -print
    Don't actually format man pages. Show what would be done.

-r, -remove
    Remove garbage, e. g. catpage without manpage, uncompressed catpage but a compressed catpage exist, filenames with non-alphanumeric characters, uncompressed manpage but a compressed manpage exist.

-v, -verbose
    More warnings.

EXAMPLES

    $ catman

Format man pages in /usr/share/man if neccessary.

    $ catman $MANPATH

Format all your man pages if neccessary.

    $ catman -f /usr/local/man/man1 /usr/local/man/manl

Force reformatting of all man pages in /usr/local/man/man1 and /usr/local/man/manl.

    $ catman -p /usr/X11/man

Show only.

FILES
/etc/weekly: start this program ( or /etc/daily)

FEATURES
Very fast if all man pages already formatted. Does not support the -w option as some other systems do. Use makewhatis(1) to rebuild the ‘whatis’ database.

BUGS
man(1) is a setuid program. Be careful that user ‘man’ has write permissions to the catman directories. Catman does not check for any ‘.so’ in man page sources. Use hard or symlinks to avoid redundant formatted man pages.

SEE ALSO
man(1), manpath(1), makewhatis(1).

HISTORY
This version of catman command appeared in FreeBSD 2.1

AUTHOR
Wolfram Schneider <wosch@cs.tu-berlin.de>, Germany.